| Home | Libraries | People | FAQ | More

## Function template power

boost::algorithm::power

## Synopsis

    // In header: <boost/algorithm/algorithm.hpp>

    template<typename T, typename Integer, typename Operation>
      BOOST_CXX14_CONSTEXPR boost::enable_if< boost::is_integral< Integer >, T >::type
      power(T x, Integer n, Operation op);

## Description

Parameters:

`x` | The value to be exponentiated
`n` | The exponent (must be >= 0)
`op` | The operation used

Returns: | the value "x" raised to the power "n" using the operation "op".